Overview
Comment: | Updated to give warnings when required packages failed to build
Updated to copy built Tclkit to current directory |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
e062ee58fc2154496f94b3269ca80655 |
User & Date: | rkeene on 2010-09-26 04:37:30 |
Other Links: | manifest | tags |
Context
2010-09-26
| ||
04:37 | Fixed bootstrapping to work check-in: e050506a1c user: rkeene tags: trunk | |
04:37 |
Updated to give warnings when required packages failed to build
Updated to copy built Tclkit to current directory check-in: e062ee58fc user: rkeene tags: trunk | |
04:37 | Added stripping of debugging symbols for Tk/Itcl check-in: 89d8ca3eb2 user: rkeene tags: trunk | |
Changes
Modified kitcreator from [5b2def5433] to [fcb2d0c6dc].
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 | #! /bin/bash TCLVERS="8.4.19" export TCLVERS mode="build" if [ "$1" = "clean" ]; then mode="clean" fi if [ "$1" = "distclean" ]; then mode="distclean" fi for pkg in tcl tk itcl mk4tcl tclvfs memchan kitsh; do if [ "${mode}" = "distclean" ]; then rm -rf "${pkg}/src" fi if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then rm -f "${pkg}/build.log" rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build" continue fi ( cd "${pkg}" || exit 1 ./build.sh > build.log 2>&1 || exit 1 | > > > | > > > > > > > > > > > | | > > > > > > | | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 | #! /bin/bash TCLVERS="8.4.19" export TCLVERS mode="build" if [ "$1" = "clean" ]; then mode="clean" fi if [ "$1" = "distclean" ]; then mode="distclean" fi failedpkgs="" buildfailed="0" for pkg in tcl tk itcl mk4tcl tclvfs memchan kitsh; do if [ "${mode}" = "distclean" ]; then rm -rf "${pkg}/src" fi if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then rm -f "${pkg}/build.log" rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build" continue fi failed="0" ( cd "${pkg}" || exit 1 ./build.sh > build.log 2>&1 || exit 1 ) || failed="1" if [ "${failed}" = "1" ]; then failedpkgs="${failedpkgs} ${pkg}" fi case "${pkg}" in tcl) TCLCONFIGDIR=$(find "$(pwd)/tcl/build" -name tclConfig.sh | head -1 | sed 's@/[^/]*$@@') export TCLCONFIGDIR ;; memchan) failed="0" ;; esac if [ "${failed}" = "1" ]; then buildfailed="1" fi done if [ -n "${failedpkgs}" ]; then echo "Failed to build:${failedpkgs}" fi if [ "${buildfailed}" != "0" ]; then echo 'WARNING: Build is likely incomplete or failed.' >&2 fi cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}" exit "${buildfailed}" |